|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QDesignerDnDItemInterface Class Reference

The QDesignerDnDItemInterface class provides an interface that is used to manage items during a drag and drop operation. More...

    #include <QDesignerDnDItemInterface>

Part of the QtDesigner module.

- List of all members, including inherited members

### Public Types

- enum DropType { MoveDrop, CopyDrop }

### Public Functions

- QDesignerDnDItemInterface ()
- virtual ~QDesignerDnDItemInterface ()
- virtual QWidget * decoration () const = 0
- virtual DomUI * domUi () const = 0
- virtual QPoint hotSpot () const = 0
- virtual QWidget * source () const = 0
- virtual DropType type () const = 0
- virtual QWidget * widget () const = 0

## Detailed Description

The QDesignerDnDItemInterface class provides an interface that is used to manage items during a drag and drop operation.

## Member Type Documentation

### enum QDesignerDnDItemInterface::DropType

This enum describes the result of a drag and drop operation.

Constant | Value | Description
--- | --- | ---
`QDesignerDnDItemInterface::MoveDrop` | `0` | The item was moved.
`QDesignerDnDItemInterface::CopyDrop` | `1` | The item was copied.

## Member Function Documentation

### QDesignerDnDItemInterface::QDesignerDnDItemInterface ()

Constructs a new interface to a drag and drop item.

### QDesignerDnDItemInterface::~QDesignerDnDItemInterface () `[virtual]`

Destroys the interface to the item.

### QWidget * QDesignerDnDItemInterface::decoration () const `[pure virtual]`

Returns the widget used to represent the item.

### DomUI * QDesignerDnDItemInterface::domUi () const `[pure virtual]`

Returns a user interface object for the item.

### QPoint QDesignerDnDItemInterface::hotSpot () const `[pure virtual]`

Returns the cursor's hotspot.

See also QDrag::hotSpot().

### QWidget * QDesignerDnDItemInterface::source () const `[pure virtual]`

Returns the widget that is the source of the drag and drop operation; i.e. the original container of the widget being dragged.

See also widget().

### DropType QDesignerDnDItemInterface::type () const `[pure virtual]`

Returns the type of drag and drop operation in progress.

### QWidget * QDesignerDnDItemInterface::widget () const `[pure virtual]`

Returns the widget being copied or moved in the drag and drop operation.

See also source().